Get or make a member's row
curl --request POST \
--url https://api.quiva.ai/records/member-rows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"space_id": "<string>",
"member": "<string>",
"config_id": "<string>",
"done_field": "<string>"
}
'import requests
url = "https://api.quiva.ai/records/member-rows"
payload = {
"space_id": "<string>",
"member": "<string>",
"config_id": "<string>",
"done_field": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
space_id: '<string>',
member: '<string>',
config_id: '<string>',
done_field: '<string>'
})
};
fetch('https://api.quiva.ai/records/member-rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/records/member-rows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'space_id' => '<string>',
'member' => '<string>',
'config_id' => '<string>',
'done_field' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/records/member-rows"
payload := strings.NewReader("{\n \"space_id\": \"<string>\",\n \"member\": \"<string>\",\n \"config_id\": \"<string>\",\n \"done_field\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/records/member-rows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"space_id\": \"<string>\",\n \"member\": \"<string>\",\n \"config_id\": \"<string>\",\n \"done_field\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/records/member-rows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"space_id\": \"<string>\",\n \"member\": \"<string>\",\n \"config_id\": \"<string>\",\n \"done_field\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status_code": 123,
"body": {}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}Records
Get or make a member's row
A journey member’s one row of a config. For the member’s own anchor config it is the anchor record. Otherwise it is the row at the member’s fixed id, else an older row in the member’s folder, else a new row made at the fixed id. Staff only.
POST
/
records
/
member-rows
Get or make a member's row
curl --request POST \
--url https://api.quiva.ai/records/member-rows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"space_id": "<string>",
"member": "<string>",
"config_id": "<string>",
"done_field": "<string>"
}
'import requests
url = "https://api.quiva.ai/records/member-rows"
payload = {
"space_id": "<string>",
"member": "<string>",
"config_id": "<string>",
"done_field": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
space_id: '<string>',
member: '<string>',
config_id: '<string>',
done_field: '<string>'
})
};
fetch('https://api.quiva.ai/records/member-rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/records/member-rows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'space_id' => '<string>',
'member' => '<string>',
'config_id' => '<string>',
'done_field' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/records/member-rows"
payload := strings.NewReader("{\n \"space_id\": \"<string>\",\n \"member\": \"<string>\",\n \"config_id\": \"<string>\",\n \"done_field\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/records/member-rows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"space_id\": \"<string>\",\n \"member\": \"<string>\",\n \"config_id\": \"<string>\",\n \"done_field\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/records/member-rows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"space_id\": \"<string>\",\n \"member\": \"<string>\",\n \"config_id\": \"<string>\",\n \"done_field\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status_code": 123,
"body": {}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}Authorizations
bearerAuthapiKeyAuth
Body
application/json